svn commit: r331991 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Wed Apr 4 08:07:08 UTC 2018


Author: pho
Date: Wed Apr  4 08:07:08 2018
New Revision: 331991
URL: https://svnweb.freebsd.org/changeset/base/331991

Log:
  Added root check. Limit output.
  
  Sponsored by:	Dell EMC Isilon

Modified:
  user/pho/stress2/misc/core3.sh

Modified: user/pho/stress2/misc/core3.sh
==============================================================================
--- user/pho/stress2/misc/core3.sh	Wed Apr  4 08:06:04 2018	(r331990)
+++ user/pho/stress2/misc/core3.sh	Wed Apr  4 08:07:08 2018	(r331991)
@@ -37,6 +37,7 @@
 # "Sleeping on "pmapdi" with the following non-sleepable locks held:"
 # https://people.freebsd.org/~pho/stress/log/kostik883.txt
 
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 . ../default.cfg
 
 odir=`pwd`
@@ -84,7 +85,7 @@ sleep 1
 while pgrep -q core3; do
 	[ -d $mntpoint/d ] &&
 	   umount -f $mntpoint
-done &
+done > /dev/null &
 while pgrep -q core3; do
 	if [ ! -d $mntpoint/d ]; then
 		mount -t tmpfs tmpfs $mntpoint


More information about the svn-src-user mailing list